# 14th August: Observability, Consent categories and more

### :sparkles:New and noteworthy <a href="#new-and-noteworthy" id="new-and-noteworthy"></a>

#### Observability

To ensure that we provide the highest quality and enhance your experience, we have implemented a completely new system to monitor the APIs used by our app. We are also linking logs to the triggered APIs, which allows us to quickly identify and resolve any issues that may arise. With this change, we can respond to issues more quickly, ensuring that your onboarding process and overall experience with the app are as seamless as possible.

#### Consent categories

A couple of months ago, we introduced consent categories as part of our effort to simplify consent management. During this time, we collected your feedback and addressed potential issues. I am happy to announce that consent categories are now available at all touchpoints, both on the SDK and Edge. This update enables you to access consent categories in all areas where you currently manage regular consent. Below are examples of how to use this in the SDK.

```javascript
edgetag('getConsent', (consent, error, consentCategories) => {
  console.log(consent) // { all: false, facebook: { facebook1: true, facebook2: false } }
  console.log(consentCategories) // { all: false, necessary: true, advertising: false  }
  console.log(error) // undefined
})
```

```javascript
edgetag('ready', (params) => {
  console.log('Consent Categories', params.consentCategories)
})
```

```javascript
window.addEventListener('edgetag-initialized', ({ detail }) => {
  console.log('Consent Categories', detail.consentCategories)
})
```

```javascript
window.addEventListener('edgetag-consent', ({ detail }) => {
  console.log('Old Categories', detail.oldConsentCategories)
  console.log('New Categories', detail.newConsentCategories)
})
```

### :zap:Improvements

\[Channel] - Make Google Ads compatible with other Google Ads on the website

\[Channel] - Add database ID as an option parameter for Webhook `getUserByUserId` function

\[App] - Move to a new mailing provider to give better email deliveries

\[App] - Event drop is sometimes triggered incorrectly

### :bug: Fixes

\[Channel] - Webhook selection is not populating correctly

\[Plugin] - Customer keywords should only fire for Purchase events in Event transformation

\[Shopify] - Re-OAuth is not working correctly, needed to do it twice

### :book: Details

Release day: 14th August 2025\
Release version: 25-29\
Edge version: 13.119.0\
SDK version: 1.25.0


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgetag.io/changelog/august-2025/14th-august-observability-consent-categories-and-more.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
